System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

A uniquely identifies a command. A unique command identification system prevents conflicts between command identifiers. Command IDs consist of a menu group GUID and a numeric command identifier.

Represents a unique command identifier that consists of a numeric command ID and a GUID menu group identifier.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This method creates a new command ID.

  Initializes a new instance of the class using the specified menu group GUID and command ID number.

  The GUID of the group that this menu command belongs to.
  The numeric identifier of this menu command.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether two instances are equal.

  true if the specified object is equivalent to this one; otherwise, false.

  The object to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added: an object of type 'Guid' To be added

  Gets the GUID of the menu group that the menu command identified by this belongs to.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the numeric command ID.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method returns a string that contains the significant information of the , a concatenation that consists of the menu group GUID and the numeric ID for the .

  Returns a that represents the current object.

  A string that contains the command ID information, both the GUID and integer identifier.